View Issue Details

IDProjectCategoryView StatusLast Update
0001343Far ManagerSort Orderpublic2012-07-04 17:55
ReporterandriysAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001343: Регистрозависимая (case-sensitive) сортировка имен файлов не работает
DescriptionДля всех режимов панелей файлов включил галочку "Использовать регистрозависимую сортировку". В "старых" версиях Far-а при включении этой опции файы и папки с именами начинающимися с большой буквы всплывали вверх. В версии 2.0 включение/выключение этой опции вообще ни на что не влияет.
TagsNo tags attached.
Build2744

Relationships

has duplicate 0002019 closed2useven10 классическая "alphanumeric" сортировка файлов поломана напуп 

Activities

2useven10

2012-06-21 14:55

developer   bugnote:0009344

На пробу build 2741.
Это не совсем то, что было в старом фаре, правильнее было бы назвать - Uppercase First.

2useven10

2012-06-21 16:37

developer   bugnote:0009346

Last edited: 2012-06-21 17:12

View 4 revisions

данная реализация, мягко говоря, не совсем корректна.
т.к. может быть нарушено свойство транзитивности при сравнении (a < b, b < c, но c < a).
можно будет допиливать, если сама подобная сортировка ещё нужна, если нет - просто откачу все изменения.

andriys

2012-06-21 17:29

reporter   bugnote:0009347

Регистрочувствительная сортировка нужна.

А вообще в забавном месте возникли сложности. Обычно для того, чтобы отсортировать что-то без учета регистра, сначала это что-то приводят к одному (верхнему или нижнему) регистру, а потом сортируют. Что мешает просто сортировать как есть?

2useven10

2012-06-21 18:28

developer   bugnote:0009348

Last edited: 2012-06-21 18:33

View 2 revisions

ну, например, хочется видеть ...eёжз...
если просто сравнивать коды символов - этого не получим.
если MS-case-sensitive StrCmp, будет то, что есть сейчас (т.е. фактически case-insensitive).

2useven10

2012-06-22 09:03

developer   bugnote:0009349

2744
ВСЕ uppercase символы раньше lowercase.

andriys

2012-06-22 13:36

reporter   bugnote:0009351

Очень похоже на правду. Спасибо.

JohnDoe

2012-06-26 16:45

updater   bugnote:0009375

Для истории ссылка на форум: http://forum.farmanager.com/viewtopic.php?p=96466#p96466

JohnDoe

2012-06-26 16:46

updater   bugnote:0009376

Лучше действительно переименовать в Uppercase First.

2useven10

2012-06-27 17:33

developer   bugnote:0009379

переименовано. лучшие варианты приветствуются.

Issue History

Date Modified Username Field Change
2010-04-12 13:51 andriys New Issue
2010-04-12 14:34 chupakabra Status new => assigned
2010-04-12 14:34 chupakabra Assigned To => chupakabra
2010-09-14 22:40 chupakabra Assigned To chupakabra =>
2010-09-14 22:40 chupakabra Status assigned => new
2012-06-21 11:49 2useven10 Relationship added has duplicate 0002019
2012-06-21 14:55 2useven10 Note Added: 0009344
2012-06-21 16:37 2useven10 Note Added: 0009346
2012-06-21 17:11 2useven10 Note Edited: 0009346 View Revisions
2012-06-21 17:12 2useven10 Note Edited: 0009346 View Revisions
2012-06-21 17:12 2useven10 Note Edited: 0009346 View Revisions
2012-06-21 17:29 andriys Note Added: 0009347
2012-06-21 18:28 2useven10 Note Added: 0009348
2012-06-21 18:33 2useven10 Note Edited: 0009348 View Revisions
2012-06-22 09:03 2useven10 Note Added: 0009349
2012-06-22 09:03 2useven10 Assigned To => 2useven10
2012-06-22 09:03 2useven10 Status new => feedback
2012-06-22 13:36 andriys Note Added: 0009351
2012-06-22 13:36 andriys Status feedback => assigned
2012-06-26 16:45 JohnDoe Note Added: 0009375
2012-06-26 16:46 JohnDoe Note Added: 0009376
2012-06-27 17:33 2useven10 Note Added: 0009379
2012-06-27 17:33 2useven10 Status assigned => feedback
2012-07-04 17:55 2useven10 Build => 2744
2012-07-04 17:55 2useven10 Status feedback => closed
2012-07-04 17:55 2useven10 Resolution open => fixed
2012-07-04 17:55 2useven10 Fixed in Version => 3.0